=== debian/changelog ===
setbfree (0.8.1-1) unstable; urgency=medium

  * Imported Upstream version 0.8.1
  * Patch refreshed.
  * Remove patch applied upstream.
  * Bump Standards.
  * Fix VCS fields.
  * Fix some hardening.
  * Set optimizations -03.
  * Add spelling.patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 14 Jun 2016 23:13:31 +0200
