=== debian/control ===
Source: setbfree
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Robin Gareus <robin@gareus.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 libftgl-dev,
 libglu1-mesa-dev,
 libcairo2-dev,
 libpango1.0-dev,
 libjack-dev | libjack-jackd2-dev,
 libasound2-dev,
 liblo-dev,
 libsndfile1-dev,
 libx11-dev,
 libzita-convolver-dev (>=3.1.0),
 lv2-dev (>=1.0.0~dfsg2-2),
 ttf-bitstream-vera
Standards-Version: 3.9.8
Homepage: http://setbfree.org
Vcs-Git: https://anonscm.debian.org/pkg-multimedia/setbfree.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-multimedia/setbfree.git

Package: setbfree
Architecture: any
Depends:
 ttf-bitstream-vera,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: DSP tonewheel organ
 setBfree is a MIDI-controlled, software synthesizer designed to imitate
 the sound and properties of the electromechanical organs and sound
 modification devices that brought world-wide fame to the names and
 products of Laurens Hammond and Don Leslie.
