=== debian/changelog ===
setbfree (0.8.2-1) unstable; urgency=medium

  * Fix VCS fields.
  * Add french translation to desktop file. (Closes: #827406)
  * Imported Upstream version 0.8.2
  * Patches refreshed/removed.
  * Fix some hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 20 Jun 2016 19:49:32 +0200
