=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
  ttf-bitstream-vera
 Standards-Version: 3.9.8
 Homepage: http://setbfree.org
-Vcs-Git: https://anonscm.debian.org/pkg-multimedia/setbfree.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-multimedia/setbfree.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/setbfree.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/setbfree.git
 
 Package: setbfree
 Architecture: any
