=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow, -pie

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- \
		ENABLE_CONVOLUTION=yes \
		PREFIX=/usr \
		OPTIMIZATIONS=-O3

override_dh_auto_install:
	dh_auto_install -- \
		ENABLE_CONVOLUTION=yes \
		DESTDIR=$(CURDIR)/debian/setbfree \
		PREFIX=/usr

override_dh_auto_clean:
