## setbfree 0.8.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-EXPORTED_VERSION=0.8.1
+EXPORTED_VERSION=0.8.3
 export EXPORTED_VERSION
 
 ifneq ($(FONTFILE),)
