=== b_synth/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+MODNAME=setBfree
 include ../common.mak
 include ../git2lv2.mk
 
@@ -40,7 +41,7 @@
 endif
 
 $(LV2NAME).ttl: $(LV2NAME).ttl.in $(LV2NAME).ui.ttl.in
-	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
+	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@MODBRAND@/$(MODBRAND)/;s/@MODLABEL@/$(MODLABEL)/" \
 		$(LV2NAME).ttl.in > $(LV2NAME).ttl
 ifeq ($(HAVE_UI), yes)
 	sed "s/@UI_TYPE@/$(UI_TYPE)/;s/@UI_REQ@/$(LV2UIREQ)/;" $(LV2NAME).ui.ttl.in >> $(LV2NAME).ttl
