=== debian/changelog ===
setbfree (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3
  * Patches applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 30 Dec 2016 20:00:12 +0100

setbfree (0.8.2-2) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Avoid useless linking.
  * Add spelling patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Dec 2016 20:09:33 +0100
