## setbfree 0.8.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-EXPORTED_VERSION=0.8.3
+EXPORTED_VERSION=0.8.4
 export EXPORTED_VERSION
 
 ifneq ($(FONTFILE),)
