=== debian/changelog ===
setbfree (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 04 Jan 2017 22:44:40 +0100
