## setbfree 0.8.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-EXPORTED_VERSION=0.8.4
+EXPORTED_VERSION=0.8.5
 export EXPORTED_VERSION
 
 ifneq ($(FONTFILE),)
@@ -14,7 +14,11 @@
 export RW
 endif
 
-SUBDIRS = b_overdrive b_whirl b_reverb b_conv src b_synth ui
+ifneq ($(MOD),)
+  SUBDIRS = b_whirl b_synth
+else
+  SUBDIRS = b_overdrive b_whirl b_reverb b_conv src b_synth ui
+endif
 
 default: all
