=== b_overdrive/Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o overdrive.o overdrive.c
 
 overmaker:$(OVMSRC) overmakerdefs.h
-	$(CC) -o $(@) $(OVMSRC) -lm
+	$(CC) $(LDFLAGS) -o $(@) $(OVMSRC) -lm
 
 overdrive: overmaker
 	./overmaker > overdrive.c
