=== b_whirl/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include ../git2lv2.mk
 
 ifneq ($(MOD),)
-	MODLABEL=mod:label \"$(MODNAME) XT\";
+	MODLABEL=mod:label \"$(MODNAME)\";
 endif
 
 LOADLIBES = -lm
@@ -17,37 +17,44 @@
 HAVE_RTK = no
 
 ifeq ($(LV2AVAIL), yes)
-  targets+=lv2
+  targets+=manifest.ttl $(LV2NAME)$(LIB_EXT)
 
-  ifeq ($(wildcard $(RW)robtk.mk),)
-    $(warning This plugin GUI needs https://github.com/x42/robtk)
-    $(info set the RW environment variale to the location of the robtk headers)
+  ifeq ($(MOD),)
+    targets+=b_whirl-configurable.ttl b_whirl.ttl
+    ifeq ($(wildcard $(RW)robtk.mk),)
+      $(warning This plugin GUI needs https://github.com/x42/robtk)
+      $(info set the RW environment variale to the location of the robtk headers)
+    else
+      HAVE_RTK = $(shell pkg-config --exists pango cairo $(PKG_GL_LIBS) && echo yes)
+    endif
+
+    ifeq ($(HAVE_RTK), yes)
+      targets+=$(LV2GUI)$(LIB_EXT)
+      targets+=x42-whirl$(EXE_EXT)
+      override CFLAGS+=-DRTK_STATIC_INIT
+    else
+      $(warning "whirl/leslie GUI will not be built")
+      $(warning "robtk or its dependencies are missing")
+    endif
   else
-    HAVE_RTK = $(shell pkg-config --exists pango cairo $(PKG_GL_LIBS) && echo yes)
-  endif
-
-  ifeq ($(HAVE_RTK), yes)
-    targets+=$(LV2GUI)$(LIB_EXT)
-    targets+=x42-whirl$(EXE_EXT)
-    override CFLAGS+=-DRTK_STATIC_INIT
-  else
-    $(warning "whirl/leslie GUI will not be built")
-    $(warning "robtk or its dependencies are missing")
+    targets+=b_whirl-mod.ttl
   endif
 endif
 
 all: $(targets)
 
-lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) b_whirl-configurable.ttl b_whirl.ttl
-
 manifest.ttl: manifest.ttl.in manifest.ui.ttl.in
+ifneq ($(MOD),)
+	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.mod.in > manifest.ttl
+else
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
+endif
 ifeq ($(HAVE_RTK), yes)
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LV2GUI@/$(LV2GUI)/;s/@LIB_EXT@/$(LIB_EXT)/;s/@UI_TYPE@/$(UI_TYPE)/" manifest.ui.ttl.in >> manifest.ttl
 endif
 
 b_whirl-configurable.ttl: b_whirl-configurable.ttl.in b_whirl-configurable.ui.ttl.in
-	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@MODBRAND@/$(MODBRAND)/;s/@MODLABEL@/$(MODLABEL_XT)/" \
+	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
 		b_whirl-configurable.ttl.in > b_whirl-configurable.ttl
 ifeq ($(HAVE_RTK), yes)
 	sed "s/@UI_TYPE@/$(UI_TYPE)/;s/@UI_REQ@/$(LV2UIREQ)/" \
@@ -55,8 +62,12 @@
 endif
 
 b_whirl.ttl: b_whirl.ttl.in
+	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g" \
+		b_whirl.ttl.in > b_whirl.ttl
+
+b_whirl-mod.ttl: b_whirl-mod.ttl.in
 	sed "s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@MODBRAND@/$(MODBRAND)/;s/@MODLABEL@/$(MODLABEL)/" \
-		b_whirl.ttl.in > b_whirl.ttl
+		b_whirl-mod.ttl.in > b_whirl-mod.ttl
 
 DSP_SRC = lv2.c
 DSP_DEPS = whirl.o eqcomp.o whirl.h eqcomp.h ../src/cfgParser.h
@@ -87,6 +98,10 @@
 	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m644 manifest.ttl $(LV2NAME)*.ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
+  ifneq ($(MOD),)
+	  install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)/modgui
+	  install -t $(DESTDIR)$(lv2dir)/$(LV2NAME)/modgui modgui/*
+  endif
 endif
 ifeq ($(HAVE_RTK), yes)
 	install -m755 $(LV2GUI)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
@@ -99,10 +114,11 @@
 	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
 	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2GUI)$(LIB_EXT)
 	rm -f $(DESTDIR)$(bindir)/x42-whirl$(EXE_EXT)
+	rm -rf $(DESTDIR)$(lv2dir)/$(LV2NAME)/modgui
 	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	-rmdir $(DESTDIR)$(bindir)
 
 clean:
 	rm -f *.o manifest.ttl $(LV2NAME)$(LIB_EXT) b_whirl-configurable.ttl $(LV2GUI)$(LIB_EXT) x42-whirl$(EXE_EXT)
 
-.PHONY: clean all install uninstall lv2
+.PHONY: clean all install uninstall
