=== debian/changelog ===
setbfree (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Tune dh version.
  * Bump Standards.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 09 Aug 2017 21:33:51 +0200
