=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Robin Gareus <robin@gareus.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10~),
  libftgl-dev,
  libglu1-mesa-dev,
  libcairo2-dev,
@@ -20,7 +20,7 @@
  libzita-convolver-dev (>=3.1.0),
  lv2-dev (>=1.0.0~dfsg2-2),
  ttf-bitstream-vera
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://setbfree.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/setbfree.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/setbfree.git
