=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow, -pie
 
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build -- \
