## setbfree 0.8.11

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-EXPORTED_VERSION=0.8.5
+EXPORTED_VERSION=0.8.11
 export EXPORTED_VERSION
 
 ifneq ($(FONTFILE),)
@@ -17,7 +17,7 @@
 ifneq ($(MOD),)
   SUBDIRS = b_whirl b_synth
 else
-  SUBDIRS = b_overdrive b_whirl b_reverb b_conv src b_synth ui
+  SUBDIRS = b_overdrive b_whirl b_reverb b_conv b_chorato src b_synth ui
 endif
 
 default: all
