=== b_overdrive/Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	  -shared $(LV2LDFLAGS) $(LDFLAGS)
 
 overdrive.o: overdrive.c overdrive.h ../src/cfgParser.h ../src/midi.h
-	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o overdrive.o overdrive.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -fvisibility=hidden -c -o overdrive.o overdrive.c
 
 overmaker:$(OVMSRC) overmakerdefs.h
 	$(CC) $(LDFLAGS) -o $(@) $(OVMSRC) -lm
@@ -61,7 +61,7 @@
 	-install -d $(DESTDIR)$(bindir)
 	install -m755 $(binaries) $(DESTDIR)$(bindir)
 endif
-ifeq ($(LV2AVAIL), yes)
+ifeq ($(LV2AVAIL)$(INSTALL_EXTRA_LV2), yesyes)
 	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
