=== debian/changelog ===
setbfree (0.8.11-3) unstable; urgency=medium

  * Fix cross building. Thanks Nilesh! (Closes: #1021841)

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 16 Oct 2022 22:55:34 +0200

setbfree (0.8.11-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Avoid explicitly specifying -Wl,--as-needed linker flag

  [ Dennis Braun ]
  * Fix gl linking (Closes: #1008327)
  * Fix spelling error speficy -> specify
  * d/control:
    + Bump dh-compat to 13
    + Bump Standards Version to 4.6.1
    + Use fonts-dejavu-core instead of ttf-bitstream-vera (Closes: #998266)
    + Mark libasound2-dev as linux-any
    + Add myself as uploader
  * d/copyright: Add myself to the d/ section
  * Remove obsolete d/source/local-options
  * Add d/upstream/metadata
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 15 Oct 2022 19:16:41 +0200

setbfree (0.8.11-1) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Olivier Humbert ]
  * Update d/copyright (http -> https)
  * Update d/rules: Remove ENABLE_CONVOLUTION

  [ Dennis Braun ]
  * New upstream version 0.8.11
  * d/control:
    + Bump debhelper-compat to 12
    + Bump Standards-Version to 4.5.0
    + Update homepage
    + Set RRR: no
  * d/copyright:
    + Update years
    + Add full CC-BY-SA-3.0 license
  * d/rules: Remove -pie from DEB_BUILD_MAINT_OPTIONS

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 02 Feb 2020 11:30:36 +0100
