=== debian/control ===
Source: setbfree
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Robin Gareus <robin@gareus.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 fonts-dejavu-core,
 libftgl-dev,
 libglu1-mesa-dev,
 libcairo2-dev,
 libpango1.0-dev,
 libjack-dev | libjack-jackd2-dev,
 libasound2-dev [linux-any],
 liblo-dev,
 libsndfile1-dev:native,
 libx11-dev,
 libzita-convolver-dev,
 lv2-dev,
Standards-Version: 4.6.1
Homepage: https://x42-plugins.com/x42/setBfree
Vcs-Git: https://salsa.debian.org/multimedia-team/setbfree.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/setbfree
Rules-Requires-Root: no

Package: setbfree
Architecture: any
Depends:
 fonts-dejavu-core,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: DSP tonewheel organ
 setBfree is a MIDI-controlled, software synthesizer designed to imitate
 the sound and properties of the electromechanical organs and sound
 modification devices that brought world-wide fame to the names and
 products of Laurens Hammond and Don Leslie.
