=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
STRIP := strip
else
STRIP := $(DEB_HOST_GNU_TYPE)-strip
export PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		PREFIX=/usr \
		OPTIMIZATIONS=-O3 \
		STRIP=$(STRIP)

override_dh_auto_install:
	dh_auto_install -- \
		DESTDIR=$(CURDIR)/debian/setbfree \
		PREFIX=/usr

override_dh_auto_clean:
