## setbfree 0.8.12%2Bds

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alessio Treglia <alessio@debian.org>,
  Robin Gareus <robin@gareus.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  fonts-dejavu-core,
@@ -21,7 +21,8 @@
  libx11-dev,
  libzita-convolver-dev,
  lv2-dev,
-Standards-Version: 4.6.1
+ robtk
+Standards-Version: 4.6.2
 Homepage: https://x42-plugins.com/x42/setBfree
 Vcs-Git: https://salsa.debian.org/multimedia-team/setbfree.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/setbfree
