## setbfree 0.8.12+ds

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-EXPORTED_VERSION=0.8.11
+EXPORTED_VERSION=0.8.12
 export EXPORTED_VERSION
 
 ifneq ($(FONTFILE),)
