=== debian/changelog ===
setbfree (0.8.12+ds-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:00:20 +1100

setbfree (0.8.12+ds-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:57:02 +0000

setbfree (0.8.12+ds-2) unstable; urgency=medium

  * Clean files from successful build (Closes: #1045755)
  * Add d/setbfree.lintian-overrides

 -- Dennis Braun <snd@debian.org>  Sat, 23 Sep 2023 21:48:29 +0200

setbfree (0.8.12+ds-1) unstable; urgency=medium

  * New upstream version 0.8.12+ds
    + Use robtk from debian archive
  * Fix build with robtk 0.8.4
  * Refresh patchset, drop spelling error patch applied by upstream
  * Bump Standards-Version to 4.6.2
  * Change my email address
  * Bump d/copyright years
  * Add salsa ci config

 -- Dennis Braun <snd@debian.org>  Sat, 12 Aug 2023 13:37:21 +0200
