=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
https://github.com/pantherb/setbfree/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
