## setbfree 0.8.13%2Bds

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-EXPORTED_VERSION=0.8.12
+EXPORTED_VERSION=0.8.13
 export EXPORTED_VERSION
 
 ifneq ($(FONTFILE),)
