## setbfree 0.8.13+ds

=== b_chorato/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 LOADLIBES = -lm
 override CFLAGS+= -I../src
-override CFLAGS+=`pkg-config --cflags lv2` -fvisibility=hidden
+override CFLAGS+=`$(PKG_CONFIG) --cflags lv2` -fvisibility=hidden
 
 targets=
