=== debian/changelog ===
setbfree (0.8.13+ds-1) unstable; urgency=medium

  * New upstream version 0.8.13+ds
  * Build with robtk 0.8.5
  * Bump Standards-Version to 4.7.0
  * Use the default ci config from salsa
  * Bump my d/copyright year
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Tue, 23 Jul 2024 14:03:35 +0200
