=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: setbfree
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Robin Gareus <robin@gareus.org>,
@@ -23,7 +22,7 @@
  libzita-convolver-dev,
  lv2-dev,
  robtk
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://x42-plugins.com/x42/setBfree
 Vcs-Git: https://salsa.debian.org/multimedia-team/setbfree.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/setbfree
