=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 %:
 	dh $@
 
+execute_before_dh_auto_configure:
+	cp -r /usr/share/robtk .
+
 override_dh_auto_build:
 	dh_auto_build -- \
 		PREFIX=/usr \
@@ -24,3 +27,15 @@
 		PREFIX=/usr
 
 override_dh_auto_clean:
+	dh_clean */*.o \
+		*/*.so \
+		b_chorato/*.ttl \
+		b_overdrive/*.ttl \
+		b_reverb/*.ttl \
+		b_synth/b_synth.ttl \
+		b_synth/manifest.ttl \
+		b_whirl/*.ttl \
+		b_whirl/x42-whirl \
+		robtk/ \
+		src/setBfree \
+		ui/setBfreeUI
